# Copyright (C) 2019-2022 Greenbone Networks GmbH
#
# SPDX-License-Identifier: GPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
Main Plugin API
"""

from typing import Callable, Optional

from autohooks.config import Config
from autohooks.precommit.run import ReportProgress
from autohooks.terminal import bold_info, error, fail, info, ok, out, warning

__all__ = [
    "Config",
    "ReportProgress",
    "error",
    "fail",
    "info",
    "bold_info",
    "ok",
    "out",
    "warning",
]
